// C Header File
// Created 20/10/02; 11:26:10

//--------------------------------------------------------------------------
// <RD_Icon.h>
// The icon and the description for the fake app 'Refresh Desktop'.
//--------------------------------------------------------------------------

#ifndef __RD_ICON_H__
#define __RD_ICON_H__


//==========================================================================
// The description begins with a 'space' character, so that the icon
// appears at the first place in the 'All' folder.
//==========================================================================

// I didn't manage to create DesktopDataStruct with a BITMAP member, and to
// initialize it with a cast constructor to BITMAP and with a character
// string instead of this array of characters, if someone can help me...

struct DesktopDataStruct {
	unsigned short NumRows, NumCols;
	char bitmap[ICON_SIZE - BITMAP_HDR_SIZE];
	char name[17];
};

static struct DesktopDataStruct RefreshDesktopData = {
	22,22,
	{	0x00,0x00,0x00,0x1f,0xfe,0x00,0x20,0x03,0x00,0x20,0x02,0x80,
		0x20,0x02,0x40,0x20,0x43,0xe0,0x20,0x60,0x20,0x21,0xf0,0x20,
		0x23,0x60,0x20,0x22,0x40,0x20,0x22,0x00,0x20,0x20,0x00,0x20,
		0x20,0x08,0x20,0x20,0x48,0x20,0x20,0xd8,0x20,0x21,0xf0,0x20,
		0x20,0xc0,0x20,0x20,0x40,0x20,0x20,0x00,0x20,0x20,0x00,0x20,
		0x1f,0xff,0xc0,0x00,0x00,0x00
	},
	{' ','R','e','f','r','e','s','h',' ','D','e','s','k','t','o','p',0}
};


#endif     // #ifndef __RD_ICON_H__

