// C Header File 
// Created 27/10/02; 23:42:07

//--------------------------------------------------------------------------
// <functions.h>
// The prototype of some of the functions defined in tsr.h and install_sub.h,
// and the definitions of enums.
//--------------------------------------------------------------------------

#ifndef __FUNCTIONS_H__
#define __FUNCTIONS_H__


HANDLE GetSupportedFilesList (BOOL SearchTXT, unsigned short *FilesNumber);
SYM_ENTRY *FindFile (const char *filename, const char *type, BOOL SearchPPG,
									   BOOL SearchTEXT, char *folder_name, HANDLE *folder_handle);
void RefreshDesktop (void);
void RunApplication (unsigned short KbdPrgm);
BOOL CreateACBs (void *FirstICO, void *FilesListPtr, unsigned short FilesNumber);
void PrepareScreen (void);
void RemoveFromFolders (BOOL action, AppID AppIDToRemove);
void RemoveACBAndOFrame (ACB *ACB_Ptr);
static inline BOOL FindTxtViewer (void);

// The enum used for the two bytes just after the name of each file in the list
// created by GetSupportedFilesList()
typedef enum {FLIST_CREATE, FLIST_CREATE_TXT, FLIST_EXISTS} FLIST_ACTION;

// to avoid the pseudo-enum only needed for compatibility with AMS1
typedef enum  {c_AP_START_CURRENT = 0, c_AP_START_NEW = 1, c_AP_START_OPEN = 2, c_AP_START_ERROR = 3} custom_StartTypes;


#endif     // #ifndef __FUNCTIONS_H__
